# mongoc_bulk_operation_set_client_session()

## Synopsis

    void
    mongoc_bulk_operation_set_client_session (
      mongoc_bulk_operation_t *bulk,
      mongoc_client_session_t *client_session);

Sets an explicit client session to use for the bulk operation.

It is an error to use a session for unacknowledged writes.

## Parameters

- `bulk`: A mongoc_bulk_operation_t.

- `client_session`: A mongoc_client_session_t. Must be derived from the same mongoc_client_t as `bulk`.

See also

mongoc_client_start_session()